Need to add Intel CML related pci-id's

Bug #1821863 reported by Chih-Hsyuan Ho on 2019-03-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libdrm (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
Disco
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned
linux-oem (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned
mesa (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
Disco
Undecided
Unassigned
xorg-server (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
Disco
Undecided
Unassigned

Bug Description

[Impact]

Please make it happen in the coming oem-kernel as there will be a flood of Intel Comet Lake (CML) platforms that would need it. Thank you.

The same is needed for the rest of the stack.

CML is basically another iteration of Skylake/Kabylake/Coffee Lake, and doesn't need other changes than pci-id's and support for the PCH (similar to Cannon point, already supported by the kernel).

[Test case]

Test that i915 graphics works on CML.

[Regression potential]

None really, these only add a bunch of new pci-id's across the stack.

Timo Aaltonen (tjaalton) on 2019-03-27
summary: - Need to add Intel CML related pci-id's to the oem-kernel
+ Need to add Intel CML related pci-id's
description: updated
Timo Aaltonen (tjaalton) wrote :

leaving cosmic out, this will only be needed in disco and bionic.

description: updated
Changed in libdrm (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in mesa (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xorg-server (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
description: updated
Timo Aaltonen (tjaalton) on 2019-03-29
Changed in linux (Ubuntu Bionic):
status: New → Invalid

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1821863

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.97-1ubuntu1

---------------
libdrm (2.4.97-1ubuntu1) disco; urgency=medium

  * sync-i915-pciids.diff: Sync pci-ids with the kernel. (LP: #1821863)

 -- Timo Aaltonen <email address hidden> Fri, 29 Mar 2019 11:21:10 +0200

Changed in libdrm (Ubuntu):
status: New → Fix Released
Changed in linux-oem (Ubuntu Disco):
status: New → Fix Committed
Timo Aaltonen (tjaalton) on 2019-04-03
Changed in linux (Ubuntu Disco):
status: Incomplete → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 19.0.1-1ubuntu2

---------------
mesa (19.0.1-1ubuntu2) disco; urgency=medium

  * i965-comet-lake.diff: Add support for CML. (LP: #1821863)

 -- Timo Aaltonen <email address hidden> Wed, 03 Apr 2019 10:58:06 +0300

Changed in mesa (Ubuntu Disco):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.20.4-1ubuntu3

---------------
xorg-server (2:1.20.4-1ubuntu3) disco; urgency=medium

  * sync-i965-pciids.diff: Sync with mesa, add support for CML. (LP:
    #1821863)
  * dix-ensure-work-queues-are-cleared-on-reset.diff: Fix a race
    condition that might crash the server.
  * reset-transforms-in-closescreen.diff: Fix a crash when resuming a
    scale transformation after closing the screen. (LP: #1820850)

 -- Timo Aaltonen <email address hidden> Wed, 03 Apr 2019 12:03:57 +0300

Changed in xorg-server (Ubuntu Disco):
status: New → Fix Released
Timo Aaltonen (tjaalton) on 2019-04-08
Changed in linux-oem (Ubuntu Bionic):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (50.5 KiB)

This bug was fixed in the package linux - 5.0.0-11.12

---------------
linux (5.0.0-11.12) disco; urgency=medium

  * linux: 5.0.0-11.12 -proposed tracker (LP: #1824383)

  * hns3: PPU_PF_ABNORMAL_INT_ST over_8bd_no_fe found [error status=0x1]
    (LP: #1824194)
    - net: hns3: fix for not calculating tx bd num correctly

  * disco: unable to use iptables/enable ufw under -virtual kernel
    (LP: #1823862)
    - [Packaging] add bpfilter to linux-modules

  * Make shiftfs a module rather than built-in (LP: #1824354)
    - [Config] CONFIG_SHIFT_FS=m

  * shiftfs: chown sets untranslated ids in lower fs (LP: #1824350)
    - SAUCE: shiftfs: use translated ids when chaning lower fs attrs

  * [Hyper-V] KVP daemon fails to start on first boot of disco VM (LP: #1820063)
    - [Packaging] bind hv_kvp_daemon startup to hv_kvp device

linux (5.0.0-10.11) disco; urgency=medium

  * linux: 5.0.0-10.11 -proposed tracker (LP: #1823936)

  * Apparmor enforcement failure in lxc selftests (LP: #1823379)
    - SAUCE: apparmor: Restore Y/N in /sys for apparmor's "enabled"

  * systemd cause kernel trace "BUG: unable to handle kernel paging request at
    6db23a14" on Cosmic i386 (LP: #1813244)
    - openvswitch: fix flow actions reallocation

linux (5.0.0-9.10) disco; urgency=medium

  * linux: 5.0.0-9.10 -proposed tracker (LP: #1823228)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update helper scripts
    - [Packaging] resync retpoline extraction

  * Huawei Hi1822 NIC has poor performance (LP: #1820187)
    - net-next/hinic: replace disable_irq_nosync/enable_irq

  * Add uid shifting overlay filesystem (shiftfs) (LP: #1823186)
    - shiftfs: uid/gid shifting bind mount
    - shiftfs: rework and extend
    - shiftfs: support some btrfs ioctls
    - [Config] enable shiftfs

  * Cannot boot or install - have to use nomodeset (LP: #1821820)
    - Revert "drm/i915/fbdev: Actually configure untiled displays"

  * Disco update: v5.0.6 upstream stable release (LP: #1823060)
    - netfilter: nf_tables: fix set double-free in abort path
    - dccp: do not use ipv6 header for ipv4 flow
    - genetlink: Fix a memory leak on error path
    - gtp: change NET_UDP_TUNNEL dependency to select
    - ipv6: make ip6_create_rt_rcu return ip6_null_entry instead of NULL
    - mac8390: Fix mmio access size probe
    - mISDN: hfcpci: Test both vendor & device ID for Digium HFC4S
    - net: aquantia: fix rx checksum offload for UDP/TCP over IPv6
    - net: datagram: fix unbounded loop in __skb_try_recv_datagram()
    - net/packet: Set __GFP_NOWARN upon allocation in alloc_pg_vec
    - net: phy: meson-gxl: fix interrupt support
    - net: rose: fix a possible stack overflow
    - net: stmmac: fix memory corruption with large MTUs
    - net-sysfs: call dev_hold if kobject_init_and_add success
    - net: usb: aqc111: Extend HWID table by QNAP device
    - packets: Always register packet sk in the same order
    - rhashtable: Still do rehash when we get EEXIST
    - sctp: get sctphdr by offset in sctp_compute_cksum
    - sctp: use memdup_user instead of vmemdup_user
    - tcp: do not use ipv6 header for ipv4 flow
    - tipc: allow servic...

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
AceLan Kao (acelankao) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
AceLan Kao (acelankao) on 2019-04-15
tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :
Download full text (15.1 KiB)

This bug was fixed in the package linux-oem - 4.15.0-1036.41

---------------
linux-oem (4.15.0-1036.41) bionic; urgency=medium

  * linux-oem: 4.15.0-1036.41 -proposed tracker (LP: #1822803)

  * Need to add Intel CML related pci-id's (LP: #1821863)
    - drm/i915/cml: Introduce Comet Lake PCH
    - drm/i915/cml: Add CML PCI IDS

  * [SRU] [B/OEM] Fix ACPI bug that causes boot failure (LP: #1819921)
    - SAUCE: ACPI / bus: Add some Lenovo laptops in list of acpi table term list

  * Miscellaneous Ubuntu changes
    - [Config] update configs following rebase to 4.15.0-48.51

  [ Ubuntu: 4.15.0-48.51 ]

  * linux: 4.15.0-48.51 -proposed tracker (LP: #1822820)
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
    - [Packaging] resync retpoline extraction
  * 3b080b2564287be91605bfd1d5ee985696e61d3c in ubuntu_btrfs_kernel_fixes
    triggers system hang on i386 (LP: #1812845)
    - btrfs: raid56: properly unmap parity page in finish_parity_scrub()
  * [P9][LTCTest][Opal][FW910] cpupower monitor shows multiple stop Idle_Stats
    (LP: #1719545)
    - cpupower : Fix header name to read idle state name
  * [amdgpu] screen corruption when using touchpad (LP: #1818617)
    - drm/amdgpu/gmc: steal the appropriate amount of vram for fw hand-over (v3)
    - drm/amdgpu: Free VGA stolen memory as soon as possible.
  * [SRU][B/C/OEM]IOMMU: add kernel dma protection (LP: #1820153)
    - ACPICA: AML parser: attempt to continue loading table after error
    - ACPI / property: Allow multiple property compatible _DSD entries
    - PCI / ACPI: Identify untrusted PCI devices
    - iommu/vt-d: Force IOMMU on for platform opt in hint
    - iommu/vt-d: Do not enable ATS for untrusted devices
    - thunderbolt: Export IOMMU based DMA protection support to userspace
    - iommu/vt-d: Disable ATS support on untrusted devices
  * Add basic support to NVLink2 passthrough (LP: #1819989)
    - powerpc/powernv/npu: Do not try invalidating 32bit table when 64bit table is
      enabled
    - powerpc/powernv: call OPAL_QUIESCE before OPAL_SIGNAL_SYSTEM_RESET
    - powerpc/powernv: Export opal_check_token symbol
    - powerpc/powernv: Make possible for user to force a full ipl cec reboot
    - powerpc/powernv/idoa: Remove unnecessary pcidev from pci_dn
    - powerpc/powernv: Move npu struct from pnv_phb to pci_controller
    - powerpc/powernv/npu: Move OPAL calls away from context manipulation
    - powerpc/pseries/iommu: Use memory@ nodes in max RAM address calculation
    - powerpc/pseries/npu: Enable platform support
    - powerpc/pseries: Remove IOMMU API support for non-LPAR systems
    - powerpc/powernv/npu: Check mmio_atsd array bounds when populating
    - powerpc/powernv/npu: Fault user page into the hypervisor's pagetable
  * Huawei Hi1822 NIC has poor performance (LP: #1820187)
    - net-next: hinic: fix a problem in free_tx_poll()
    - hinic: remove ndo_poll_controller
    - net-next/hinic: add checksum offload and TSO support
    - hinic: Fix l4_type parameter in hinic_task_set_tunnel_l4
    - net-next/hinic:replace multiply and division operators
    - net-next/hinic:add rx checksum offload for HiNIC
    - net-next/hinic:fix a bug in set...

Changed in linux-oem (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in linux-oem (Ubuntu):
status: Fix Committed → Fix Released
Changed in linux-oem (Ubuntu Disco):
status: Fix Committed → Fix Released

Hello Chih-Hsyuan, or anyone else affected,

Accepted xorg-server into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xorg-server/2:1.19.6-1ubuntu4.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in xorg-server (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
removed: verification-done-bionic
Changed in mesa (Ubuntu Bionic):
status: New → Fix Committed
Chih-Hsyuan Ho (chih) wrote :

@Timo, tried to upgrade to xorg-server into bionic-proposed and confirmed it fixes a laggy desktop issue found in some OEM CML platforms running on bionic image.

tags: added: verification-done-bionic
removed: verification-needed-bionic

The verification of the Stable Release Update for xorg-server has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.19.6-1ubuntu4.3

---------------
xorg-server (2:1.19.6-1ubuntu4.3) bionic; urgency=medium

  * sync-i965-pciids.diff: Updated with Comet Lake id's. (LP: #1821863)

 -- Timo Aaltonen <email address hidden> Fri, 31 May 2019 14:10:48 +0300

Changed in xorg-server (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.97-1ubuntu1~18.04.1

---------------
libdrm (2.4.97-1ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to bionic for 18.04.3 HWE stack update. (LP: #1824111)

 -- Timo Aaltonen <email address hidden> Wed, 10 Apr 2019 13:54:06 +0300

Changed in libdrm (Ubuntu Bionic):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 19.0.2-1ubuntu1.1~18.04.1

---------------
mesa (19.0.2-1ubuntu1.1~18.04.1) bionic; urgency=medium

  * Backport to bionic.

mesa (19.0.2-1ubuntu1.1) disco; urgency=medium

  * radeon-rework-gfx9-scissor-workaround.diff: Fix invisible elements
    with GTK on Vega/Raven. (LP: #1831498)

mesa (19.0.2-1ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to bionic for 18.04.3 HWE stack update. (LP: #1824111)
  * control: Build-depend on libsensors4-dev.

 -- Timo Aaltonen <email address hidden> Tue, 04 Jun 2019 00:10:13 +0300

Changed in mesa (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers